Skip to content
POST /unified/crm/projects

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

accountobject

The project's account

References: Accounts → id
3 supported1 required
Planhat
required
Capsule
supported
Pipeliner
supported
idstring

The account's unique identifier

namestring

The account name

amountnumber

The project's amount

1 supported
Planhat
supported
close_datestring · date-time

The date and time of the project's close date

3 supported1 required
Pipeliner
required
Capsule
supported
Insightly
supported
contactobject[]

The project's contacts

References: Contacts → id
2 supported
Capsule
supported
Pipeliner
supported
idstring

The contact's unique identifier

namestring

The contact name

currencystring

The amount attribute's currency

1 supported
Planhat
supported
custom_fields
3 supported
Capsule
supported
Insightly
supported
Planhat
supported
descriptionstring

The project's description

3 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
namestring

The project's name

5 supported5 required
Capsule
required
Insightly
required
Pipeliner
required
Planhat
required
Teamleader
required
opportunityobject[]

The project's opportunity

2 supported
Capsule
supported
Insightly
supported
idstring

The opportunity's unique identifier

namestring

The opportunity name

ownerobject

The project's owner

3 supported1 required
Pipeliner
required
Capsule
supported
Insightly
supported
idstring

The owner's unique identifier

namestring

The owner name

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

statusstring

The project's status

Possible values:
openclosednot startedin progressdeferredcancelledabandonedcompleted
3 supported1 required
Insightly
required
not startedin progressdeferredcancelledabandonedcompleted
Capsule
supported
openclosed
Pipeliner
supported
tagsobject[]

The project's tags

2 supported
Capsule
supported
Insightly
supported
idstring

The tag's unique identifier

namestring

The tag's name

Response Body

idstring
required·

The project's unique identifier

4 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
Planhat
supported
accountobject

The project's account

References: Accounts → id
3 supported
Capsule
supported
Pipeliner
supported
Planhat
supported
idstring

The account's unique identifier

namestring

The account name

amountnumber

The project's amount

1 supported
Planhat
supported
close_datestring · date-time

The date and time of the project's close date

3 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
contactobject[]

The project's contacts

References: Contacts → id
2 supported
Capsule
supported
Pipeliner
supported
idstring

The contact's unique identifier

namestring

The contact name

created_atstring · date-time

The date and time of the project's creation

4 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
Planhat
supported
currencystring

The amount attribute's currency

1 supported
Planhat
supported
descriptionstring

The project's description

3 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
last_activity_atstring · date-time

The date and time of the project's last activity

2 supported
Capsule
supported
Insightly
supported
namestring

The project's name

4 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
Planhat
supported
opportunityobject[]

The project's opportunity

2 supported
Capsule
supported
Insightly
supported
idstring

The opportunity's unique identifier

namestring

The opportunity name

ownerobject

The project's owner

3 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
idstring

The owner's unique identifier

namestring

The owner name

remote_dataRecord<string, any>

Raw data returned from the remote API call.

stageobject

The project's stage

References: Stages → id
2 supported
Capsule
supported
Insightly
supported
idstring

The stage's unique identifier

namestring

The stage's name

statusstring

The project's status

3 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
tagsobject[]

The project's tags

2 supported
Capsule
supported
Insightly
supported
idstring

The tag's unique identifier

namestring

The tag's name

updated_atstring · date-time

The date and time of the project's last update

4 supported
Capsule
supported
Insightly
supported
Pipeliner
supported
Planhat
supported
curl -X POST 'https://api.truto.one/unified/crm/projects?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "your_name",
  "account": {},
  "contact": [],
  "description": "your_description",
  "tags": [],
  "close_date": "your_close_date",
  "opportunity": [],
  "status": "open",
  "owner": {},
  "amount": 0,
  "currency": "your_currency",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "name": "your_name",
  "account": {},
  "contact": [],
  "description": "your_description",
  "tags": [],
  "close_date": "your_close_date",
  "opportunity": [],
  "status": "open",
  "owner": {},
  "amount": 0,
  "currency": "your_currency",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/crm/projects?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/projects"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "name": "your_name",
    "account": {},
    "contact": [],
    "description": "your_description",
    "tags": [],
    "close_date": "your_close_date",
    "opportunity": [],
    "status": "open",
    "owner": {},
    "amount": 0,
    "currency": "your_currency",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.create(
  'crm',
  'projects',
  {
  "name": "your_name",
  "account": {},
  "contact": [],
  "description": "your_description",
  "tags": [],
  "close_date": "your_close_date",
  "opportunity": [],
  "status": "open",
  "owner": {},
  "amount": 0,
  "currency": "your_currency",
  "remote_data": {}
},
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.create(
        "crm",
        "projects",
        {
        "name": "your_name",
        "account": {},
        "contact": [],
        "description": "your_description",
        "tags": [],
        "close_date": "your_close_date",
        "opportunity": [],
        "status": "open",
        "owner": {},
        "amount": 0,
        "currency": "your_currency",
        "remote_data": {}
},
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())